[Rubygems-developers] [JRuby/Windows] 1.6.0 update - partial script update?

Jon jon.forums at gmail.com
Wed Mar 2 10:02:03 EST 2011


> To upgrade to the latest RubyGems, run:
> 
>   $ gem update --system  # you might need to be an administrator or root


When upgrading RG for JRuby on Windows (1.6.0.RC2) should both jgem.bat/jgem and gem.bat/gem be updated or only jgem.bat/jgem?

>From the following it looks like jgem.bat/jgem were the only ones updated:

C:\Users\Jon\Documents>gem update --system
Updating rubygems-update
Fetching: rubygems-update-1.6.0.gem (100%)
Successfully installed rubygems-update-1.6.0
Installing RubyGems 1.6.0
RubyGems 1.6.0 installed
...
RubyGems installed the following executables:
        C:/jruby/bin/jgem

RubyGems system software updated


C:\jruby\bin>git diff gem.bat jgem.bat

diff --git a/gem.bat b/jgem.bat
index dc28ef1..befbaf7 100644
--- a/gem.bat
+#!C:/jruby/bin/jruby.exe
+++ b/jgem.bat
@@ -1,6 +1,6 @@
 @ECHO OFF
 IF NOT "%~f0" == "~f0" GOTO :WinNT
-@"jruby" -S "gem" %1 %2 %3 %4 %5 %6 %7 %8 %9
+@"jruby.exe" "C:/jruby/bin/jgem" %1 %2 %3 %4 %5 %6 %7 %8 %9
 GOTO :EOF
 :WinNT
-@"%~dp0jruby.exe" "%~dpn0" %*
+@"jruby.exe" "%~dpn0" %*


Jon

---
blog: http://jonforums.github.com/
twitter: @jonforums


More information about the Rubygems-developers mailing list